
package com.ejie.ab39a.ws.client.rdr;

import java.net.MalformedURLException;
import java.net.URL;
import java.util.logging.Logger;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebServiceClient(name = "X43aWebService", targetNamespace = "com/ejie/rdr/xml", wsdlLocation = "META-INF/wsdls/X43ARegistroRepresentantes.wsdl")
public class X43AWebService_Service extends Service {

	private final static URL X43AWEBSERVICE_WSDL_LOCATION;
	private final static Logger logger = Logger
			.getLogger(com.ejie.ab39a.ws.client.rdr.X43AWebService_Service.class.getName());

	static {
		URL url = null;
		try {
			URL baseUrl;
			baseUrl = com.ejie.ab39a.ws.client.rdr.X43AWebService_Service.class.getResource(".");
			url = new URL(baseUrl, "META-INF/wsdls/X43ARegistroRepresentantes.wsdl");
		} catch (MalformedURLException e) {
			logger.warning(
					"Failed to create URL for the wsdl Location: 'META-INF/wsdls/X43ARegistroRepresentantes.wsdl', retrying as a local file");
			logger.warning(e.getMessage());
		}
		X43AWEBSERVICE_WSDL_LOCATION = url;
	}

	/**
	 * X43A Web Service Service
	 * 
	 * @param wsdlLocation
	 *            URL wsdlLocation
	 * @param serviceName
	 *            QName serviceName
	 */
	public X43AWebService_Service(URL wsdlLocation, QName serviceName) {
		super(wsdlLocation, serviceName);
	}

	/**
	 * X43A Web Service _Service
	 */
	public X43AWebService_Service() {
		super(X43AWEBSERVICE_WSDL_LOCATION, new QName("com/ejie/rdr/xml", "X43aWebService"));
	}

	/**
	 * 
	 * @return returns X43AWebService
	 */
	@WebEndpoint(name = "X43aWebService")
	public X43AWebService getX43AWebServicePort() {
		return super.getPort(new QName("com/ejie/rdr/xml", "X43aWebService"), X43AWebService.class);
	}

	/**
	 * get X43 AWebService
	 * 
	 * @param features
	 *            A list of {@link javax.xml.ws.WebServiceFeature} to configure
	 *            on the proxy. Supported features not in the
	 *            <code>features</code> parameter will have their default
	 *            values.
	 * @return returns X43AWebService
	 */
	@WebEndpoint(name = "X43aWebServicePort")
	public X43AWebService getX43AWebService(WebServiceFeature... features) {
		return super.getPort(new QName("com/ejie/rdr/xml", "X43aWebService"), X43AWebService.class, features);
	}

}
